=== debian/changelog ===
pglogical (2.4.1-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 06 Jan 2022 09:29:34 +0100

pglogical (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Jan 2022 09:29:34 +0100

pglogical (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Test-depend on libtap-parser-sourcehandler-pgtap-perl.
  * Disable more tests that tend to fail with timeouts.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 13:47:09 +0100

pglogical (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/cve-2021-3515.patch: Removed, no longer needed.
  * debian/patches/17a83481661e531669d6904920a9109424fa3339.patch: Likewise.
  * debian/patches/disable-add-table-test: Refreshed.
  * debian/patches/test_increase_timeouts.patch: Removed no longer needed
    add_table hunks.
  * debian/control, debian/tests/control: Updated for v14.
  * debian/control.in, debian/control (Build-Depends): Added liblz4-dev.
  * debian/tests/control: Removed postgresql-PGVERSION-pgtap.

 -- Michael Banck <michael.banck@credativ.de>  Fri, 22 Oct 2021 17:45:50 +0200

pglogical (2.3.3-4) unstable; urgency=medium

  * Team upload.
  * Adjust to PostgreSQL 13.4 snapshot handling fixes (PG commit ef9480509).
  * debian/watch: Fix github URL.
  * Remove regression_output/ on clean.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Aug 2021 13:00:20 +0200
