=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <michael.banck@credativ.de>, Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 10),
 postgresql-server-dev-all (>= 217~),
 libkrb5-dev,
 liblz4-dev,
 libreadline-dev,
 libselinux1-dev [linux-any], libxml2-dev, libpam0g-dev, libssl-dev, krb5-multidev, libedit-dev, libxslt1-dev, zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/

Package: postgresql-9.6-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-10-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-11-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-12-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-13-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.

Package: postgresql-14-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.
