## pglogical 2.4.2

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	   pglogical--2.3.4--2.4.0.sql \
 	   pglogical--2.4.0.sql \
 	   pglogical--2.4.0--2.4.1.sql \
-	   pglogical--2.4.1.sql
+	   pglogical--2.4.1.sql \
+	   pglogical--2.4.1--2.4.2.sql \
+	   pglogical--2.4.2.sql
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
