=== debian/changelog ===
pglogical (2.4.2-3) unstable; urgency=medium

  * debian/control.in, debian/control (Uploaders): Updated.

 -- Michael Banck <mnencia@debian.org>  Fri, 17 Feb 2023 14:04:05 +0100

pglogical (2.4.2-2) unstable; urgency=medium

  * debian/tests/prove: Exit cleanly when test is skipped.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Oct 2022 15:13:35 +0100

pglogical (2.4.2-1) unstable; urgency=medium

  * Team upload for PostgreSQL 15.
  * Skip prove test on PG 15, test not compatible yet.
  * Update watch file to look at github releases.
  * B-D on libzstd-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 13:06:24 +0200
