=== debian/control ===
Source: pglogical
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 krb5-multidev,
 libedit-dev,
 libkrb5-dev,
 liblz4-dev,
 libpam0g-dev,
 libreadline-dev,
 libselinux1-dev [linux-any],
 libssl-dev,
 libxml2-dev,
 libxslt1-dev,
 libzstd-dev,
 postgresql-server-dev-all (>= 217~),
 zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
Homepage: https://www.2ndquadrant.com/en/resources/pglogical/

Package: postgresql-15-pglogical
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Suggests:
Description: Logical Replication Extension for PostgreSQL
 The pglogical extension provides logical streaming replication between
 PostgreSQL instances, using a publish/subscribe model.  Contrary to the
 built-in streaming replication, pglogical can replicate between major versions
 or different architectures and is not restricted to replicate the entire
 instance but can selectively replicate arbitrary sets of tables.
 .
 Use-Cases include migrations and major-version upgrades, aggregation of
 several databases into a Data Warehouse, It utilises the Logical Decoding
 features available since PostgreSQL 9.4 working with low overhead on both
 provider and subscriber.
