=== debian/watch ===
version=3
opts="uversionmangle=s/^(\d+)_(\d+)_(\d+)$/$1.$2.$3/" \
https://github.com/2ndQuadrant/pglogical/tags .*/REL(.*).tar.gz
