=== debian/changelog ===
pglogical (2.4.3-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2031532). Remaining changes:
    - d/p/test_increase_timeouts.patch: increase timeout for flaky
      row_filter test.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 16 Aug 2023 10:12:07 -0300

pglogical (2.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Aug 2023 11:07:58 +0200

pglogical (2.4.2-2ubuntu1) lunar; urgency=medium

  * d/p/test_increase_timeouts.patch: increase timeout for flaky
    row_filter test.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 13 Dec 2022 10:32:25 -0300

pglogical (2.4.2-2build1) lunar; urgency=medium

  * No-change rebuild to attempt migration.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Sat, 10 Dec 2022 14:49:54 -0500
