=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
