## pglogical 2.4.4

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,9 @@
 	   pglogical--2.4.1--2.4.2.sql \
 	   pglogical--2.4.2.sql \
 	   pglogical--2.4.2--2.4.3.sql \
-	   pglogical--2.4.3.sql
+	   pglogical--2.4.3.sql \
+	   pglogical--2.4.3--2.4.4.sql \
+	   pglogical--2.4.4.sql \
 
 OBJS = pglogical_apply.o pglogical_conflict.o pglogical_manager.o \
 	   pglogical.o pglogical_node.o pglogical_relcache.o \
@@ -63,6 +65,7 @@
 			   compat13/pglogical_compat.o compat13/pglogical_compat.bc \
 			   compat14/pglogical_compat.o compat14/pglogical_compat.bc \
 			   compat15/pglogical_compat.o compat15/pglogical_compat.bc \
+			   compat16/pglogical_compat.o compat16/pglogical_compat.bc \
 			   pglogical_create_subscriber.o
 
 # The # in #define is taken as a comment, per https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=142043
