=== debian/changelog ===
pglogical (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 18:09:54 +0200

pglogical (2.4.3-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.
  * Cherry pick patches from upstream, and fix them to support PG16.
  * Use ${postgresql:Depends}.
  * Mark autopkgtests as flaky, the package mostly works anyway.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:32:49 +0200
