=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pglogical
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -19,15 +18,15 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-15-pglogical
+Package: postgresql-16-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between
