=== debian/tests/control ===
Depends: @, libipc-run-perl, libtap-parser-sourcehandler-pgtap-perl, make
Tests: prove
Restrictions: allow-stderr, flaky

Depends: @, make
Tests: regresscheck
Restrictions: allow-stderr, flaky
