=== debian/changelog ===
pglogical (2.4.5-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:16:07 +0200

pglogical (2.4.5-1) unstable; urgency=medium

  * New upstream version 2.4.5.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 15:37:22 +0200

pglogical (2.4.4-3) unstable; urgency=medium

  * Disable TAP tests on 17 (not ported to PostgreSQL::Utils yet).
  * Drop 9.4 test code.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Sep 2024 12:37:29 +0200

pglogical (2.4.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Grab pending upstream patches to support PG 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 13:28:04 +0200
