=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  krb5-multidev,
  libedit-dev,
@@ -18,13 +19,13 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-16-pglogical
+Package: postgresql-17-pglogical
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Suggests:
