=== debian/changelog ===
pglogical (2.4.6-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version 2.4.6.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.
  * debian/watch: update to version 4

  [ Christoph Berg ]
  * Team upload for PostgreSQL 18. (Closes: #1117301)

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 13:04:16 +0200
