=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Michael Banck <mbanck@debian.org>, Marco Nenciarini <mnencia@debian.org>
+Uploaders:
+ Michael Banck <mbanck@debian.org>,
+ Marco Nenciarini <mnencia@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  krb5-multidev,
  libedit-dev,
  libkrb5-dev,
  liblz4-dev,
+ libnuma-dev,
  libpam0g-dev,
  libreadline-dev,
  libselinux1-dev [linux-any],
@@ -19,15 +22,19 @@
  libzstd-dev,
  postgresql-server-dev-all (>= 217~),
  zlib1g-dev,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/postgresql/pglogical
 Vcs-Git: https://salsa.debian.org/postgresql/pglogical.git
 Homepage: https://www.2ndquadrant.com/en/resources/pglogical/
 
-Package: postgresql-17-pglogical
+Package: postgresql-18-pglogical
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Suggests:
 Description: Logical Replication Extension for PostgreSQL
  The pglogical extension provides logical streaming replication between
