=== debian/tests/control ===
Depends:
 libipc-run-perl,
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-common-dev,
 @,
Tests:
 prove,
Restrictions:
 allow-stderr,
 flaky,

Depends:
 postgresql-common-dev,
 @,
Tests:
 regresscheck,
Restrictions:
 allow-stderr,
 flaky,
